/*---------------------------------------------------------------------------------------------
 *  Copyright (c) Microsoft Corporation. All rights reserved.
 *  Licensed under the MIT License. See License.txt in the project root for license information.
 *--------------------------------------------------------------------------------------------*/
'use strict';
const definitionProviderBase_1 = require("./definitionProviderBase");
class TypeScriptTypeDefinitionProvider extends definitionProviderBase_1.default {
    constructor(client) {
        super(client);
    }
    provideTypeDefinition(document, position, token) {
        return this.getSymbolLocations('typeDefinition', document, position, token);
    }
}
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = TypeScriptTypeDefinitionProvider;

//# sourceMappingURL=https://ticino.blob.core.windows.net/sourcemaps/49129d126e2c3c5592cfc8a509d872067b69d262/extensions/typescript/out/features/typeDefinitionProvider.js.map
